---
updatedAt: 2026-05-29T13:25:42.000Z
agentTools:
  projectIndex: https://developer.eftcorp.com/llms.txt
---

# List sales for an account

Returns sales matching the given filters. Supports filtering by status, date range, and mode. Pass fields=accountHolder to include account holder details.

# OpenAPI definition

```json
{
  "servers": [
    {
      "url": "https://eclipse-java-sandbox.ukheshe.rocks",
      "description": "Eclipse sandbox environment"
    },
    {
      "url": "https://ukheshe.live",
      "description": "Eclipse production environment"
    },
    {
      "url": "https://eclipse-java-develop.ukheshe.rocks",
      "description": "Eclipse development environment"
    },
    {
      "url": "https://zw.ukheshe.live",
      "description": "Zim Eclipse production environment"
    }
  ],
  "openapi": "3.1.0",
  "components": {
    "schemas": {
      "AccountHolderDetails": {
        "type": "object",
        "properties": {
          "email": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "phoneNumber": {
            "type": "string"
          }
        }
      },
      "Avp": {
        "description": "An attribute/value pair for providing weakly typed data on various messages",
        "type": "object",
        "required": [
          "att",
          "val"
        ],
        "properties": {
          "att": {
            "type": "string",
            "pattern": "\\S"
          },
          "val": {
            "type": "string"
          }
        }
      },
      "EclipseFulfilmentStatus": {
        "type": "string",
        "enum": [
          "ERROR",
          "SUCCESS"
        ]
      },
      "EclipseSale": {
        "type": "object",
        "properties": {
          "accountHolderDetails": {
            "$ref": "#/components/schemas/AccountHolderDetails"
          },
          "accountId": {
            "type": "integer",
            "format": "int64"
          },
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "currency": {
            "type": "string"
          },
          "lastModified": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "mode": {
            "type": "string"
          },
          "organisationId": {
            "type": "integer",
            "format": "int64"
          },
          "outstanding": {
            "type": "number"
          },
          "paymentDue": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "previousStatus": {
            "$ref": "#/components/schemas/EclipseSaleStatus"
          },
          "saleId": {
            "type": "integer",
            "format": "int64"
          },
          "saleLines": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EclipseSaleLine"
            }
          },
          "salePayments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EclipseSalePayment"
            }
          },
          "saleTotalDiscountExcl": {
            "type": "number"
          },
          "saleTotalDiscountIncl": {
            "type": "number"
          },
          "saleTotalExcl": {
            "type": "number"
          },
          "saleTotalIncl": {
            "type": "number"
          },
          "saleTotalTax": {
            "type": "number"
          },
          "status": {
            "$ref": "#/components/schemas/EclipseSaleStatus"
          },
          "tenantId": {
            "type": "integer",
            "format": "int64"
          },
          "uniqueId": {
            "type": "string"
          },
          "version": {
            "type": "integer",
            "format": "int32"
          }
        },
        "required": [
          "accountId",
          "organisationId",
          "tenantId"
        ]
      },
      "EclipseSaleLine": {
        "type": "object",
        "properties": {
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "description": {
            "type": "string",
            "pattern": "(?s)^(?:[\\t\\r\\n]|[^\\p{C}<>])*$"
          },
          "fulfillmentDetails": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Avp"
            }
          },
          "fulfilmentStatus": {
            "$ref": "#/components/schemas/EclipseFulfilmentStatus"
          },
          "lineDiscountExcl": {
            "type": "number"
          },
          "lineDiscountIncl": {
            "type": "number"
          },
          "lineTotalExcl": {
            "type": "number"
          },
          "lineTotalIncl": {
            "type": "number"
          },
          "lineTotalTax": {
            "type": "number"
          },
          "name": {
            "type": "string"
          },
          "normalUnitPriceExcl": {
            "type": "number"
          },
          "normalUnitPriceIncl": {
            "type": "number"
          },
          "parentSaleLineId": {
            "type": "integer",
            "format": "int64"
          },
          "productId": {
            "type": "integer",
            "format": "int64"
          },
          "promotionCode": {
            "type": "string"
          },
          "quantity": {
            "type": "number"
          },
          "saleId": {
            "type": "integer",
            "format": "int64"
          },
          "saleLineId": {
            "type": "integer",
            "format": "int64"
          },
          "serial": {
            "type": "string"
          },
          "taxPercent": {
            "type": "number"
          },
          "unitPriceExcl": {
            "type": "number"
          },
          "unitPriceIncl": {
            "type": "number"
          }
        }
      },
      "EclipseSalePayment": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "number"
          },
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "gateway": {
            "type": "string"
          },
          "paymentId": {
            "type": "integer",
            "format": "int64"
          },
          "saleId": {
            "type": "integer",
            "format": "int64"
          },
          "salePaymentId": {
            "type": "integer",
            "format": "int64"
          },
          "status": {
            "type": "string"
          },
          "type": {
            "$ref": "#/components/schemas/EclipseSalePaymentType"
          }
        }
      },
      "EclipseSalePaymentType": {
        "type": "string",
        "enum": [
          "ACCOUNT_BALANCE_SETTLE",
          "ACCOUNT_DEALLOCATED_PAYMENT_SETTLE",
          "ECLIPSE_PAYMENT"
        ]
      },
      "EclipseSaleStatus": {
        "type": "string",
        "enum": [
          "BASKET",
          "CANCELLED",
          "FULFILLED",
          "INVOICED",
          "QUOTE"
        ]
      },
      "ExceptionData": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "environment": {
            "type": "string"
          },
          "info": {
            "type": "object",
            "additionalProperties": {}
          },
          "severity": {
            "$ref": "#/components/schemas/ExceptionSeverity"
          },
          "spanId": {
            "type": "string"
          },
          "stackTrace": {
            "type": "string"
          },
          "traceId": {
            "type": "string"
          },
          "type": {
            "$ref": "#/components/schemas/ExceptionType"
          }
        }
      },
      "ExceptionSeverity": {
        "type": "string",
        "enum": [
          "CRITICAL",
          "HIGH",
          "INFO",
          "LOW",
          "MEDIUM"
        ]
      },
      "ExceptionType": {
        "type": "string",
        "enum": [
          "BUSINESS",
          "SYSTEM"
        ]
      }
    },
    "securitySchemes": {
      "JWTBearerAuthorisation": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "info": {
    "description": "A RESTful API using JSON as the data transfer model, covering all tenant-facing functionality in the Eclipse payments platform.",
    "title": "Eclipse ReST API",
    "version": "3.0.0"
  },
  "tags": [
    {
      "name": "x) Accounts",
      "description": "Manages tenant products and product items, including stock, batches, and supplier associations."
    }
  ],
  "paths": {
    "/eclipse-conductor/rest/v1/tenants/{tenantId}/organisations/{organisationId}/accounts/{accountId}/sales": {
      "get": {
        "summary": "List sales for an account",
        "description": "Returns sales matching the given filters. Supports filtering by status, date range, and mode. Pass fields=accountHolder to include account holder details.",
        "tags": [
          "x) Accounts"
        ],
        "parameters": [
          {
            "name": "tenantId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "organisationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "description": "If sorted, sort in ascending order. default is descending",
            "required": false,
            "name": "ascending",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "description": "Start of the date range (inclusive). ISO date string.",
            "name": "dateFromIncl",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "End of the date range (exclusive). ISO date string.",
            "name": "dateToExcl",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Field data to be included: Support for comma-delimited strings. Pass 'accountHolder' to include account holders details in the response.",
            "required": false,
            "name": "fields",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "mode",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "description": "Column to order by if ordering is required. E.g. created",
            "required": false,
            "name": "orderBy",
            "in": "query",
            "schema": {
              "type": "string",
              "default": "created"
            }
          },
          {
            "description": "Filter by sale status, e.g. BASKET, QUOTE, CANCELLED.",
            "name": "saleStatus",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/EclipseSaleStatus"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/EclipseSale"
                  }
                }
              }
            }
          },
          "404": {
            "description": "Invalid request query parameters",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ExceptionData"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ExceptionData"
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "JWTBearerAuthorisation": []
          }
        ]
      }
    }
  }
}
```